Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 85654 - remove /etc/logrotate.d/apache it is dangerous
Summary: remove /etc/logrotate.d/apache it is dangerous
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: apache
Version: 7.3
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-03-05 16:20 UTC by Neil Prockter
Modified: 2007-04-18 16:51 UTC (History)
1 user (show)

Fixed In Version: 2.0.45-4
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-02-06 17:20:52 UTC


Attachments (Terms of Use)

Description Neil Prockter 2003-03-05 16:20:17 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.3a) Gecko/20021212

Description of problem:
/etc/logrotate.d/apache should (IMO) be dropped.

restarting apache is something I want to be in control of

To rotate my logs I use
CustomLog "|/usr/sbin/rotatelogs <logfile> 86400" vhost

If I change my httpd.conf I want to apply it when I'm ready

NOT BEFORE

why do you want to use logrotate? whats wrong with rotatelogs ( and not
restarting apache all the time)

do I have to set a cron job to delete /etc/logrotate.d/apache ?  can I tell
rpm/up2date to ignire this file? can I set my system to run a script everytime
rpm/up2date runs (so I can put  'rm /etc/logrotate.d/apache' in it)

3 times in the past year I've had a server outage thanks to
/etc/logrotate.d/apache. I might as well put it in my login script!



Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. use rpr or up2date
2. use apache
3. use logrotate
    

Actual Results:  buggers up apache

Expected Results:  leave apache alone

Additional info:

Comment 1 Joe Orton 2003-04-03 15:30:23 UTC
We should mark logrotate.d/apache as %config(noreplace), so that you make it an
empty file (or comment out the conents), and it won't be overwritten on
upgrades.  Thanks for the report.


Comment 2 Joe Orton 2003-05-19 12:36:03 UTC
/etc/logrotate.d/httpd is now marked config(noreplace) in httpd-2.0.45-4, so you
can make this an empty file and prevent your logs getting rotated.

Comment 3 Joe Orton 2004-02-06 17:20:52 UTC
This is fixed in current releases of Red Hat Enterprise Linux and
Fedora Core.


Note You need to log in before you can comment on or make changes to this bug.